com.r3corda.node.services.statemachine / ReceiveRequest

# ReceiveRequest

`interface ReceiveRequest<T : SessionMessage> : ProtocolIORequest`

### Properties

receiveType | `abstract val receiveType: Class<T>`

### Inherited Properties

session | `abstract val session: ProtocolSession`
stackTraceInCaseOfProblems | `abstract val stackTraceInCaseOfProblems: StackSnapshot`

### Inheritors

ReceiveOnly | `data class ReceiveOnly<T : SessionMessage> : ReceiveRequest<T>`
SendAndReceive | `data class SendAndReceive<T : SessionMessage> : SendRequest, ReceiveRequest<T>`